@ECHO off

SET base=%~dp0
CHOICE /C UHMLO /M "Select (U)ltra, (H)igh, (M)edium, (L)ow or HUB (O)ptimized config"
IF ERRORLEVEL 6 GOTO abort
IF NOT ERRORLEVEL 1 GOTO abort
IF ERRORLEVEL 1 SET cfg=1ultra
IF ERRORLEVEL 2 SET cfg=2high
IF ERRORLEVEL 3 SET cfg=3medium
IF ERRORLEVEL 4 SET cfg=4low
IF ERRORLEVEL 5 SET cfg=5hub

powershell "Remove-ItemProperty -Path HKCU:\SOFTWARE\Khronos\Vulkan\ImplicitLayers -Name *RealVR64.json"
REG ADD HKCU\SOFTWARE\Khronos\Vulkan\ImplicitLayers /V "%base%RealVR64.json" /T REG_DWORD /D 0 /F

SET src=%base%Settings\system_%cfg%.xml
FOR /F "tokens=* USEBACKQ" %%F IN (`powershell "(new-object -COM Shell.Application).Namespace(0x05).Self.Path"`) DO SET doc=%%F
SET dst=%doc%\Rockstar Games\Red Dead Redemption 2\Settings\
IF EXIST "%dst%" (
    IF EXIST "%dst%system.xml" (
        IF NOT EXIST "%dst%system_ori.xml" REN "%dst%system.xml" system_ori.xml
    ) ELSE (
        ECHO WARNING: "%dst%system.xml" not found.
    )
) ELSE (
    ECHO WARNING: The game appears to never have been run. Creating new "%dst%system.xml" file.
    MKDIR "%dst%"
)
COPY /Y "%src%" "%dst%system.xml"
GOTO end

:abort
ECHO Aborting
:end
PAUSE
